package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;

public class TLqdataAdd {
    private String id;

    private Integer vLqDataId;

    private Integer iFloorNum;

    private BigDecimal fMaxFData;

    private BigDecimal fMinFData;

    private BigDecimal fAvgFData;

    private BigDecimal fMaxAround;

    private BigDecimal fMinAround;

    private BigDecimal fAvgAround;

    private BigDecimal fMaxCenter;

    private BigDecimal fMinCenter;

    private BigDecimal fAvgCenter;

    /**
     * 粮情周边数据
     * @return id 粮情周边数据
     */
    public String getId() {
        return id;
    }

    /**
     * 粮情周边数据
     * @param id 粮情周边数据
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 粮情数据表ID
     * @return v_lq_data_id 粮情数据表ID
     */
    public Integer getvLqDataId() {
        return vLqDataId;
    }

    /**
     * 粮情数据表ID
     * @param vLqDataId 粮情数据表ID
     */
    public void setvLqDataId(Integer vLqDataId) {
        this.vLqDataId = vLqDataId;
    }

    /**
     * 层号
     * @return i_floor_num 层号
     */
    public Integer getiFloorNum() {
        return iFloorNum;
    }

    /**
     * 层号
     * @param iFloorNum 层号
     */
    public void setiFloorNum(Integer iFloorNum) {
        this.iFloorNum = iFloorNum;
    }

    /**
     * 层最高
     * @return f_max_f_data 层最高
     */
    public BigDecimal getfMaxFData() {
        return fMaxFData;
    }

    /**
     * 层最高
     * @param fMaxFData 层最高
     */
    public void setfMaxFData(BigDecimal fMaxFData) {
        this.fMaxFData = fMaxFData;
    }

    /**
     * 层最低
     * @return f_min_f_data 层最低
     */
    public BigDecimal getfMinFData() {
        return fMinFData;
    }

    /**
     * 层最低
     * @param fMinFData 层最低
     */
    public void setfMinFData(BigDecimal fMinFData) {
        this.fMinFData = fMinFData;
    }

    /**
     * 层平均
     * @return f_avg_f_data 层平均
     */
    public BigDecimal getfAvgFData() {
        return fAvgFData;
    }

    /**
     * 层平均
     * @param fAvgFData 层平均
     */
    public void setfAvgFData(BigDecimal fAvgFData) {
        this.fAvgFData = fAvgFData;
    }

    /**
     * 周边最高
     * @return f_max_around 周边最高
     */
    public BigDecimal getfMaxAround() {
        return fMaxAround;
    }

    /**
     * 周边最高
     * @param fMaxAround 周边最高
     */
    public void setfMaxAround(BigDecimal fMaxAround) {
        this.fMaxAround = fMaxAround;
    }

    /**
     * 周边最低
     * @return f_min_ around 周边最低
     */
    public BigDecimal getfMinAround() {
        return fMinAround;
    }

    /**
     * 周边最低
     * @param fMinAround 周边最低
     */
    public void setfMinAround(BigDecimal fMinAround) {
        this.fMinAround = fMinAround;
    }

    /**
     * 周边平均
     * @return f_avg_ around 周边平均
     */
    public BigDecimal getfAvgAround() {
        return fAvgAround;
    }

    /**
     * 周边平均
     * @param fAvgAround 周边平均
     */
    public void setfAvgAround(BigDecimal fAvgAround) {
        this.fAvgAround = fAvgAround;
    }

    /**
     * 中心最高
     * @return f_max_center 中心最高
     */
    public BigDecimal getfMaxCenter() {
        return fMaxCenter;
    }

    /**
     * 中心最高
     * @param fMaxCenter 中心最高
     */
    public void setfMaxCenter(BigDecimal fMaxCenter) {
        this.fMaxCenter = fMaxCenter;
    }

    /**
     * 中心最低
     * @return f_min_center 中心最低
     */
    public BigDecimal getfMinCenter() {
        return fMinCenter;
    }

    /**
     * 中心最低
     * @param fMinCenter 中心最低
     */
    public void setfMinCenter(BigDecimal fMinCenter) {
        this.fMinCenter = fMinCenter;
    }

    /**
     * 中心平均
     * @return f_avg_center 中心平均
     */
    public BigDecimal getfAvgCenter() {
        return fAvgCenter;
    }

    /**
     * 中心平均
     * @param fAvgCenter 中心平均
     */
    public void setfAvgCenter(BigDecimal fAvgCenter) {
        this.fAvgCenter = fAvgCenter;
    }
}